Bug 91586 - (IDE SIS)DMA and non-DMA I/O problems with SIS5513
(IDE SIS)DMA and non-DMA I/O problems with SIS5513
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-24 21:58 EDT by Dan Reish
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
More information about disks, controller, and errors (1.71 KB, text/plain)
2003-05-24 21:59 EDT, Dan Reish
no flags Details

  None (edit)
Description Dan Reish 2003-05-24 21:58:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
This looks to me like a kernel issue, but I'm giving it to youse guys rather
than pester the kernel people directly.

I recently installed a second disk on my system, which had been performing
flawlessly.  Now I get a variety of disk errors.  The second disk is virtually
identical to the first, except that it supports more DMA standards, and is 40 Gb
bigger.  I sent it back to the retailer and replaced it with an identical model,
and I continue to get the same errors, but only when this second disk is
installed, and whether it is installed as hda or hdc.

I will attach detailed information about the disk and controller, and the
specific errors I've seen.


Version-Release number of selected component (if applicable):
kernel-2.4.20-13.9

How reproducible:
Always

Steps to Reproduce:
1. Unfortunately, I would think you'd need to duplicate my hardware setup to
reproduce the bug.


Additional info:
Comment 1 Dan Reish 2003-05-24 21:59:29 EDT
Created attachment 91946 [details]
More information about disks, controller, and errors
Comment 2 Dan Reish 2003-05-24 22:26:02 EDT
One more thing about the two disks:

May 24 20:56:54 localhost kernel: hda: 160836480 sectors (82348 MB) w/1863KiB
Cache, CHS=10011/255/63, UDMA(33)

May 24 20:56:54 localhost kernel: hdc: 241254720 sectors (123522 MB) w/1821KiB
Cache, CHS=15017/255/63, UDMA(100)

Comment 3 Marc Schmitt 2003-06-14 06:17:57 EDT
I have the same problem with kernel 2.4.20-18.7 (under RH7.3). The IDE
controller is a:

00:07.1 IDE interface: Intel Corp. 82371SB PIIX3 IDE [Natoma/Triton II]

The errors:

hdc: dma_timer_expiry: dma status == 0x60
hdc: timeout waiting for DMA
hdc: timeout waiting for DMA
hdc: (__ide_dma_test_irq) called while not waiting
hdc: status error: status=0x58 { DriveReady SeekComplete DataRequest }
  
hdc: drive not ready for command
hdc: status timeout: status=0xd0 { Busy }

Still during bootup, DMA will get disabled by the kernel:

hdc: DMA disabled

This is true for all four IDE drives that I have in the machine, DMA gets
disabled for all of them. This used to work under 2.4.18-27.7.x, no DMA problems
at all. I tried 2.4.21, too, it shows exactly the same behavior as 2.4.20-18.7.

Regards,
    Marc
Comment 4 Bugzilla owner 2004-09-30 11:40:59 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.